Skip to content
Docs

Validate Drain delivery configuration

POST/__remote/api.vercel.com/v1/drains/test
Validate the delivery configuration of a Drain using sample events.
/__remote/api.vercel.com/v1/drains/test
const response = await fetch('/__remote/api.vercel.com/v1/drains/test?teamId=string&slug=string', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json',
},
body: JSON.stringify({
"schemas": "value",
"delivery": {
"type": "string",
"endpoint": "string",
"compression": "gzip",
"encoding": "json",
"headers": "value",
"secret": "string"
}
}),
});
const data = await response.json();
console.log(data);
Response
"value"
AuthorizationbearerToken

Default authentication mechanism

teamIdstringOptional
The Team identifier to perform the request on behalf of.
slugstringOptional
The Team slug to perform the request on behalf of.
application/json
schemasobjectRequired
deliveryobjectRequired3 variants
200Success
400One of the provided values in the request body is invalid.
401The request is not authorized.
402Error
403You do not have permission to access this resource.
404Error
410Error